--- title: "Delete Geo and CIDR map" slug: "geocidr-map-delete" updated: 2026-09-17T10:12:30Z published: 2026-09-17T10:12:30Z canonical: "api.ncloud-docs.com/geocidr-map-delete" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete Geo and CIDR map Available in Classic and VPC Delete a specified Geo/CIDR map. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | DELETE | /gtm/v1/maps | ### Request headers For information about the headers common to all Geo/CIDR map APIs, see [Geo/CIDR map API request headers](/docs/en/geocidr-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request syntax The request syntax is as follows. ``` { "list": [ 0,1,2 ] } ``` ### Request body The following describes the request body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `list` | List | Required | Geo/CIDR map ID list - See [View Geo/CIDR map](/docs/en/geocidr-view) | ### Request example The following is a sample request. ``` curl --location --request DELETE 'https://globaltrafficmanager.apigw.ntruss.com/gtm/v1/maps' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "list": [ *** ] }' ``` ## Response The following describes the response format. ### Response status codes For information about the HTTP status codes common to all Geo/CIDR map APIs, see [Geo/CIDR map API response status codes](/docs/en/geocidr-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Error code example The following is a sample error code. ``` { "result": "FAIL", "error": { "errorCode": "05X000", "message": "Invalid value.
Hover your mouse over the displayed area to see the details in a tooltip.", "devMessage": "Invalid value.", "moreInfo": { "validationInfo": [ { "fieldPath": "list[0]", "msg": "You don't have permissions for the map or the map doesn't exist." } ], "timestamp": "2022-11-16T19:22:00.430+09:00" } } } ```